package org.jeecg.modules.performance.constants;

import java.math.BigDecimal;

/**
 * Created by JQ.bi on 2020.5.26
 */
public class RateConstant {

    private RateConstant() {
    }

    // Percentage constant
    public static final BigDecimal PERCENT_0 = BigDecimal.valueOf(0.00);
    public static final BigDecimal PERCENT_5 = BigDecimal.valueOf(0.05);
    public static final BigDecimal PERCENT_10 = BigDecimal.valueOf(0.1);
    public static final BigDecimal PERCENT_15 = BigDecimal.valueOf(0.15);
    public static final BigDecimal PERCENT_20 = BigDecimal.valueOf(0.2);
    public static final BigDecimal PERCENT_30 = BigDecimal.valueOf(0.3);
    public static final BigDecimal PERCENT_40 = BigDecimal.valueOf(0.4);
    public static final BigDecimal PERCENT_50 = BigDecimal.valueOf(0.5);
    public static final BigDecimal PERCENT_60 = BigDecimal.valueOf(0.6);
    public static final BigDecimal PERCENT_70 = BigDecimal.valueOf(0.7);
    public static final BigDecimal PERCENT_80 = BigDecimal.valueOf(0.8);
    public static final BigDecimal PERCENT_90 = BigDecimal.valueOf(0.9);


    // Thousand constant
    public static final BigDecimal THOUSAND_0 = BigDecimal.valueOf(0.000);
    public static final BigDecimal THOUSAND_1 = BigDecimal.valueOf(0.001);
    public static final BigDecimal THOUSAND_2 = BigDecimal.valueOf(0.002);
    public static final BigDecimal THOUSAND_3 = BigDecimal.valueOf(0.003);
    public static final BigDecimal THOUSAND_4 = BigDecimal.valueOf(0.004);
    public static final BigDecimal THOUSAND_5 = BigDecimal.valueOf(0.005);

}
